Package org.eclipse.graphiti.palette.impl

# Class AbstractPaletteToolEntry

java.lang.Object
org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

All Implemented Interfaces:
  `ICreationToolEntry`, `IPaletteEntry`, `IToolEntry`

Direct Known Subclasses:
  `ConnectionCreationToolEntry`, `ObjectCreationToolEntry`

public abstract class AbstractPaletteToolEntry extends AbstractPaletteEntry implements ICreationToolEntry
The Class AbstractPaletteToolEntry.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<IFeature>`
`features`
The features.

## Constructor Summary

Constructors
Constructor
Description
`AbstractPaletteToolEntry(String label, String description, String iconId, String largeIconId)`
Create a new `AbstractPaletteToolEntry`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description.
`List<IFeature>`
`getFeatures()`
Gets the features.
`String`
`getLargeIconId()`
Gets the large icon id.

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

## Field Details

### features

protected List<IFeature> features
The features.

## Constructor Details

### AbstractPaletteToolEntry

public AbstractPaletteToolEntry(String label, String description, String iconId, String largeIconId)
Create a new `AbstractPaletteToolEntry`.

Parameters:
  `label` - the label
  `description` - the description
  `iconId` - the icon id
  `largeIconId` - the large icon id

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `ICreationToolEntry`
Gets the description.

Specified by:
  `getDescription` in interface `ICreationToolEntry`
Returns:
  the description

### getFeatures

public List<IFeature> getFeatures()
Gets the features.

Returns:
  the features

### getLargeIconId

public String getLargeIconId()
Description copied from interface: `ICreationToolEntry`
Gets the large icon id.

Specified by:
  `getLargeIconId` in interface `ICreationToolEntry`
Returns:
  the large icon id